> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automindz.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Find leavers

> Find people who recently changed jobs and discover decision-makers at their old and new companies

Triggers the leavers pipeline, which identifies people who recently left target companies and discovers decision-makers at both their old and new companies.

The pipeline runs asynchronously. Use the returned `run_id` to [poll for results](/api-reference/endpoint/get-run).

<Tip>
  **Timing guidance:** `limit=5` takes \~2-3 minutes. `limit=10` takes \~5-7 minutes. `limit=0` (no limit) can take 15-30+ minutes depending on available data.
</Tip>

## Reference data

<Accordion title="Industries — reference list (148 values)">
  Values must be lowercase and match LinkedIn industry names.

  `accounting`, `administration of justice`, `advertising services`, `airlines and aviation`,
  `alternative dispute resolution`, `alternative medicine`, `animation and post-production`,
  `appliances electrical and electronics manufacturing`, `architecture and planning`,
  `armed forces`, `artists and writers`, `automation machinery manufacturing`,
  `aviation and aerospace component manufacturing`, `banking`, `beverage manufacturing`,
  `biotechnology research`, `book and periodical publishing`,
  `broadcast media production and distribution`, `business consulting and services`,
  `capital markets`, `chemical manufacturing`, `civic and social organizations`,
  `civil engineering`, `computer and network security`, `computer games`,
  `computer hardware manufacturing`, `computer networking products`,
  `computers and electronics manufacturing`, `construction`, `consumer services`,
  `dairy product manufacturing`, `defense and space manufacturing`, `design services`,
  `e-learning providers`, `education administration programs`, `entertainment providers`,
  `environmental services`, `events services`, `executive offices`, `facilities services`,
  `farming`, `financial services`, `fisheries`, `food and beverage manufacturing`,
  `food and beverage services`, `freight and package transportation`, `fundraising`,
  `furniture and home furnishings manufacturing`, `gambling facilities and casinos`,
  `glass ceramics and concrete manufacturing`, `government administration`,
  `government relations services`, `graphic design`, `higher education`, `hospitality`,
  `hospitals and health care`, `human resources services`, `individual and family services`,
  `industrial machinery manufacturing`, `information services`, `insurance`,
  `international affairs`, `international trade and development`, `investment banking`,
  `investment management`, `it services and it consulting`, `law enforcement`, `law practice`,
  `leasing non-residential real estate`, `legal services`, `legislative offices`, `libraries`,
  `machinery manufacturing`, `manufacturing`, `maritime transportation`, `market research`,
  `media production`, `medical equipment manufacturing`, `medical practices`,
  `mental health care`, `mining`, `mobile gaming apps`, `motor vehicle manufacturing`,
  `movies videos and sound`, `museums historical sites and zoos`, `musicians`,
  `nanotechnology research`, `newspaper publishing`, `non-profit organizations`, `oil and gas`,
  `online audio and video media`, `outsourcing and offshoring consulting`,
  `packaging and containers manufacturing`, `paper and forest product manufacturing`,
  `performing arts`, `personal care product manufacturing`, `pharmaceutical manufacturing`,
  `philanthropic fundraising services`, `photography`, `plastics manufacturing`,
  `political organizations`, `primary and secondary education`, `printing services`,
  `professional training and coaching`, `public policy offices`,
  `public relations and communications services`, `public safety`,
  `railroad equipment manufacturing`, `ranching`, `real estate`, `recreational facilities`,
  `religious institutions`, `renewable energy semiconductor manufacturing`,
  `research services`, `restaurants`, `retail`, `retail apparel and fashion`,
  `retail art supplies`, `retail groceries`, `retail luxury goods and jewelry`,
  `retail office equipment`, `security and investigations`, `semiconductor manufacturing`,
  `shipbuilding`, `software development`, `spectator sports`, `sporting goods manufacturing`,
  `staffing and recruiting`, `strategic management services`,
  `technology information and internet`, `telecommunications`, `textile manufacturing`,
  `think tanks`, `tobacco manufacturing`, `translation and localization`,
  `transportation logistics supply chain and storage`, `travel arrangements`,
  `truck transportation`, `utilities`, `venture capital and private equity principals`,
  `veterinary services`, `warehousing and storage`, `wellness and fitness services`,
  `wholesale`, `wholesale building materials`, `wholesale import and export`,
  `wireless services`, `writing and editing`
</Accordion>

<Accordion title="Job titles — preset lists">
  **C-suite + VPs (staffing/recruiting default):**
  `ceo`, `coo`, `cfo`, `cro`, `chief executive officer`, `chief operating officer`,
  `chief financial officer`, `chief revenue officer`, `director`, `managing director`,
  `vice president`, `senior vice president`, `associate director`, `regional director`,
  `national director`, `head of practice`, `billing manager`

  **Tech leadership:**
  `cto`, `vp engineering`, `head of engineering`, `director of engineering`,
  `vp product`, `head of product`, `chief technology officer`

  **Sales leadership:**
  `cro`, `chief revenue officer`, `vp sales`, `vice president of sales`,
  `head of sales`, `sales director`, `director of sales`,
  `vp business development`, `head of business development`
</Accordion>

<Accordion title="Employee size ranges — valid values">
  Only these exact ranges are accepted:
  `1-10`, `11-20`, `21-50`, `51-100`, `101-200`, `201-500`, `501-1000`, `1001-2000`, `2001-5000`, `5001-10000`
</Accordion>

<Accordion title="DM titles — recommended defaults">
  `founder`, `ceo`, `chief executive officer`, `coo`, `chief operating officer`,
  `cro`, `chief revenue officer`, `cso`, `chief strategy officer`, `chief sales officer`,
  `managing director`, `president`, `executive vice president`
</Accordion>

<Accordion title="Qualification criteria — examples">
  * `"recruitment agency based in the United States that primarily serves professional services, tech, or financial services sectors with specialist/executive-level placements and substantial deal sizes"`
  * `"technology or SaaS company based in North America with B2B sales motion and meaningful revenue or growth trajectory"`
  * `"healthcare staffing firm with over 50 employees focusing on travel nursing or locum tenens placements"`
</Accordion>


## OpenAPI

````yaml openapi.json POST /v1/hiring-signals/leavers
openapi: 3.1.0
info:
  title: Automindz API
  version: 0.1.0
servers:
  - url: https://api.automindz.co
    description: Production
security: []
paths:
  /v1/hiring-signals/leavers:
    post:
      tags:
        - hiring-signals
      summary: Trigger Leavers
      operationId: trigger_leavers_v1_hiring_signals_leavers_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeaversRequest'
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaversResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LeaversRequest:
      properties:
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of leavers to find. Set to 0 for no limit.
          default: 5
        org_name:
          type: string
          title: Org Name
          description: Identifier for your organization. Used to name output files.
        ai_ark_api_key:
          type: string
          title: Ai Ark Api Key
          description: Your AI Ark API key for people data lookups.
        ai_ark_credits_before:
          type: integer
          title: Ai Ark Credits Before
          description: Your current AI Ark credit balance before the run.
          default: 0
        exa_api_key:
          type: string
          title: Exa Api Key
          description: Your Exa API key for company research.
        openrouter_api_key:
          type: string
          title: Openrouter Api Key
          description: Your OpenRouter API key for AI qualification.
        industries:
          items:
            type: string
          type: array
          title: Industries
          description: Target industries to search within.
        employee_size_ranges:
          items:
            $ref: '#/components/schemas/EmployeeSizeRange'
          type: array
          title: Employee Size Ranges
          description: Company size filters.
          default: []
        job_titles:
          items:
            type: string
          type: array
          title: Job Titles
          description: Job titles to look for when identifying leavers.
        tenure_min_months:
          type: integer
          maximum: 120
          minimum: 1
          title: Tenure Min Months
          description: Minimum months since the person left their previous role.
          default: 2
        tenure_max_months:
          type: integer
          maximum: 120
          minimum: 1
          title: Tenure Max Months
          description: Maximum months since the person left their previous role.
          default: 4
        qualification_criteria:
          type: string
          title: Qualification Criteria
          description: Natural language description of what makes a company a good fit.
          default: ''
        geography:
          items:
            type: string
          type: array
          title: Geography
          description: Geographic regions to search.
        dm_titles:
          items:
            type: string
          type: array
          title: Dm Titles
          description: Decision-maker titles to find.
        dm_exclusion_titles:
          items:
            type: string
          type: array
          title: Dm Exclusion Titles
          description: Titles to exclude from decision-maker results.
          default: []
        max_dms_per_company:
          type: integer
          minimum: 1
          title: Max Dms Per Company
          description: Maximum number of decision-makers to return per company.
          default: 25
      type: object
      required:
        - org_name
        - ai_ark_api_key
        - exa_api_key
        - openrouter_api_key
        - industries
        - job_titles
        - geography
        - dm_titles
      title: LeaversRequest
    LeaversResponse:
      properties:
        run_id:
          type: string
          title: Run Id
          description: Unique identifier for this pipeline run.
        status:
          type: string
          title: Status
          description: Initial status of the run.
      type: object
      required:
        - run_id
        - status
      title: LeaversResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EmployeeSizeRange:
      properties:
        start:
          type: integer
          title: Start
          description: Start of the range (e.g. 11)
        end:
          type: integer
          title: End
          description: End of the range (e.g. 50)
      additionalProperties: false
      type: object
      required:
        - start
        - end
      title: EmployeeSizeRange
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````